using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace LebedenkoHranitel
{
    public partial class Form6 : Form
    {
        Database database = new Database();
        public Form6()
        {
            InitializeComponent();
            textBox2.PasswordChar = '*';
            textBox3.PasswordChar = '*';
            label5.Text = "Пароль содержит менее 8 символов";
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {
            if (textBox2.TextLength > 8)
            {
                label5.Text = "Пароль подходящий";
            }
            else
            {
                label5.Text = "Пароль содержит менее 8 символов";
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox2.Text == textBox3.Text)
            {
                string script = "INSERT INTO LoginUser (Login,Password) VALUES (@log,@pas)";
                SqlCommand cmd = new SqlCommand(script, database.GetConnection());
                cmd.Parameters.AddWithValue("@log", textBox1.Text);
                cmd.Parameters.AddWithValue("@pas", textBox2.Text);
                database.openConnection();
                cmd.ExecuteNonQuery();
                this.Hide();
                MessageBox.Show("Регистрация успешно завершена", "Успешно", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            else
            {
                MessageBox.Show("Пароли не совпадают", "Не Успешно", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void textBox2_MouseHover(object sender, EventArgs e)
        {

        }
    }
}
